Loading...
Searching...
No Matches
WGPUAdapterProperties Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStructOut * | nextInChain
uint32_t | vendorID
char const * | vendorName
char const * | architecture
uint32_t | deviceID
char const * | name
char const * | driverDescription
WGPUAdapterType | adapterType
WGPUBackendType | backendType
WGPUBool | compatibilityMode

## Detailed Description

Definition at line 1015 of file mini_webgpu.h.

## Member Data Documentation

## nextInChain

WGPUChainedStructOut* WGPUAdapterProperties::nextInChain

Definition at line 1016 of file mini_webgpu.h.

## vendorID

uint32_t WGPUAdapterProperties::vendorID

Definition at line 1017 of file mini_webgpu.h.

## vendorName

char const* WGPUAdapterProperties::vendorName

Definition at line 1018 of file mini_webgpu.h.

## architecture

char const* WGPUAdapterProperties::architecture

Definition at line 1019 of file mini_webgpu.h.

## deviceID

uint32_t WGPUAdapterProperties::deviceID

Definition at line 1020 of file mini_webgpu.h.

## name

char const* WGPUAdapterProperties::name

Definition at line 1021 of file mini_webgpu.h.

## driverDescription

char const* WGPUAdapterProperties::driverDescription

Definition at line 1022 of file mini_webgpu.h.

## adapterType

WGPUAdapterType WGPUAdapterProperties::adapterType

Definition at line 1023 of file mini_webgpu.h.

## backendType

WGPUBackendType WGPUAdapterProperties::backendType

Definition at line 1024 of file mini_webgpu.h.

## compatibilityMode

WGPUBool WGPUAdapterProperties::compatibilityMode

Definition at line 1025 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h